Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.xml.dom
Class DomImpl

    java.lang.Object
      |
      +--gnu.xml.dom.DomImpl

All Implemented Interfaces:
  DOMImplementation

public class DomImpl
extends java.lang.Object
implements DOMImplementation

"DOMImplementation" implementation.

At this writing, the following features are supported: "XML" (L1, L2), "Events" (L2), "MutationEvents" (L2), "USER-Events" (a conformant extension), "HTMLEvents" (L2), "UIEvents" (L2), "Traversal" (L2). It is possible to compile the package so it doesn't support some of these features (notably, Traversal).

Version:
  $Date: 2001/11/20 04:57:05 $
Author:
  David Brownell

Constructor Summary
`DomImpl()` Constructs a DOMImplementation object which supports "XML" and other DOM Level 2 features.

Method Summary
`Document` | `createDocument(java.lang.String namespaceURI, java.lang.String rootName, DocumentType doctype)` DOM L2 Creates and returns a Document, populated only with a root element and optionally a document type (if that was provided).
`DocumentType` | `createDocumentType(java.lang.String rootName, java.lang.String publicId, java.lang.String systemId)` DOM L2 Creates and returns a DocumentType, associated with this implementation.
`boolean` | `hasFeature(java.lang.String name, java.lang.String version)` DOM L1 Returns true if the specified feature and version are supported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomImpl

    public DomImpl()

  Constructs a DOMImplementation object which supports "XML" and other DOM Level 2 features.

Method Detail

### hasFeature

    public boolean hasFeature(java.lang.String name,
                              java.lang.String version)

  DOM L1 Returns true if the specified feature and version are supported. Note that the case of the feature name is ignored.
  Specified by:
    `hasFeature` in interface `DOMImplementation`
  Following copied from interface: `org.w3c.dom.DOMImplementation`
  Parameters:
    `feature` - The name of the feature to test (case-insensitive). The values used by DOM features are defined throughout the DOM Level 2 specifications and listed in the section. The name must be an XML name. To avoid possible conflicts, as a convention, names referring to features defined outside the DOM specification should be made unique.
    `version` - This is the version number of the feature to test. In Level 2, the string can be either "2.0" or "1.0". If the version is not specified, supporting any version of the feature causes the method to return `true`.
  Returns:
    `true` if the feature is implemented in the specified version, `false` otherwise.

### createDocumentType

    public DocumentType createDocumentType(java.lang.String rootName,
                                           java.lang.String publicId,
                                           java.lang.String systemId)

  DOM L2 Creates and returns a DocumentType, associated with this implementation. This DocumentType can have no associated objects (notations, entities) until the DocumentType is first associated with a document.

  Note that there is no implication that this DTD will be parsed by the DOM, or ever have contents. Moreover, the DocumentType created here can only be added to a document by the createDocument method (below). That means that the only portable way to create a Document object is to start parsing, queue comment and processing instruction (PI) nodes, and then only create a DOM Document after (a) it's known if a DocumentType object is needed, and (b) the name and namespace of the root element is known. Queued comment and PI nodes would then be inserted appropriately in the document prologue, both before and after the DTD node, and additional attributes assigned to the root element. (One hopes that the final DOM REC fixes this serious botch.)

  Specified by:
    `createDocumentType` in interface `DOMImplementation`
  Following copied from interface: `org.w3c.dom.DOMImplementation`
  Parameters:
    `qualifiedName` - The qualified name of the document type to be created.
    `publicId` - The external subset public identifier.
    `systemId` - The external subset system identifier.
  Returns:
    A new `DocumentType` node with `Node.ownerDocument` set to `null`.
  Throws:
    `DOMException` - INVALID_CHARACTER_ERR: Raised if the specified qualified name contains an illegal character.
    NAMESPACE_ERR: Raised if the `qualifiedName` is malformed.
    NOT_SUPPORTED_ERR: May be raised by DOM implementations which do not support the `"XML"` feature, if they choose not to support this method. Other features introduced in the future, by the DOM WG or in extensions defined by other groups, may also demand support for this method; please consult the definition of the feature to see if it requires this method.

### createDocument

    public Document createDocument(java.lang.String namespaceURI,
                                   java.lang.String rootName,
                                   DocumentType doctype)

  DOM L2 Creates and returns a Document, populated only with a root element and optionally a document type (if that was provided).
  Specified by:
    `createDocument` in interface `DOMImplementation`
  Following copied from interface: `org.w3c.dom.DOMImplementation`
  Parameters:
    `namespaceURI` - The namespace URI of the document element to create.
    `qualifiedName` - The qualified name of the document element to be created.
    `doctype` - The type of document to be created or `null`. When `doctype` is not `null`, its `Node.ownerDocument` attribute is set to the document being created.
  Returns:
    A new `Document` object.
  Throws:
    `DOMException` - INVALID_CHARACTER_ERR: Raised if the specified qualified name contains an illegal character.
    NAMESPACE_ERR: Raised if the `qualifiedName` is malformed, if the `qualifiedName` has a prefix and the `namespaceURI` is `null`, or if the `qualifiedName` has a prefix that is "xml" and the `namespaceURI` is different from " http://www.w3.org/XML/1998/namespace" , or if the DOM implementation does not support the `"XML"` feature but a non-null namespace URI was provided, since namespaces were defined by XML.
    WRONG_DOCUMENT_ERR: Raised if `doctype` has already been used with a different document or was created from a different implementation.
    NOT_SUPPORTED_ERR: May be raised by DOM implementations which do not support the "XML" feature, if they choose not to support this method. Other features introduced in the future, by the DOM WG or in extensions defined by other groups, may also demand support for this method; please consult the definition of the feature to see if it requires this method.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.